Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_NS_errno.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/os_include/os_errno.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_errno.inl"`

Include dependency graph for OS_NS_errno.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## Defines
#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_ERRNO_TYPE int
#define | ACE_INLINE inline
## Functions
ACE_NAMESPACE_INLINE_FUNCTION int | last_error (void)
ACE_NAMESPACE_INLINE_FUNCTION void | last_error (int)
ACE_NAMESPACE_INLINE_FUNCTION int | set_errno_to_last_error (void)
ACE_NAMESPACE_INLINE_FUNCTION int | set_errno_to_wsa_last_error (void)

## Detailed Description

Id
  OS_NS_errno.h,v 1.7 2005/11/24 09:48:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_ERRNO_TYPE int

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_INLINE void ACE_OS::last_error | ( | int |  | ) |

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_OS::last_error | ( | void |  | ) |

ACE_INLINE int ACE_OS::set_errno_to_last_error | ( | void |  | ) |

ACE_INLINE int ACE_OS::set_errno_to_wsa_last_error | ( | void |  | ) |